package de.ugoe.cs.quest.plugin.jfc.guimodel;

import de.ugoe.cs.quest.eventcore.guimodel.ICanvas;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 13.05.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class JFCCanvas extends JFCGUIElement implements ICanvas {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * TODO: comment
     * 
     * @param name
     * @param type
     * @param icon
     * @param index
     * @param hashCode
     */
    public JFCCanvas(JFCGUIElementSpec specification, JFCGUIElement parent) {
        super(specification, parent);
    }

    @Override
    protected String getElementDescriptor() {
        return "Canvas";
    }

}
